# Module dht_node_join_recover

- Description
- Function Index
- Function Details

Join ring on recover.

Copyright © 2007-2015 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

Join ring on recover.

## Function Index

join/1 |
on/2 |

## Function Details

### join/1

    join(Options :: [tuple()]) ->
            {'$gen_component',
             [{on_handler, Handler :: gen_component:handler()}, ...],
             [tuple()]}

### on/2

    on(Msg :: tuple(), Options :: [tuple()]) ->
          dht_node_state:state() |
          {'$gen_component',
           [{on_handler, Handler :: gen_component:handler()}, ...],
           [tuple()]}

Generated by EDoc, Feb 29 2016, 16:12:20.